-- Cette ligne permet d'afficher des traces dans la console pendant l'éxécution
io.stdout:setvbuf('no')
require ("tank tiger")
require ("obus")


function love.load()
  largeur = love.graphics.getWidth(800)
  hauteur = love.graphics.getHeight(600)
  
  tank.x = largeur/2
  tank.y = hauteur/2
end




function love.update(dt)
  if love.keyboard.isDown("right") then
    tank.angle = tank.angle + 90 * dt
    tank.vx = 0
    tank.vy = 0
  end
  
  if love.keyboard.isDown("left") then
    tank.angle = tank.angle - 90 * dt
    tank.vx = 0
    tank.vy = 0
  end
  
  if love.keyboard.isDown("up") then
    local angle_radians = math.rad(tank.angle)
    local force_x = math.cos(angle_radians) * (1 * dt)
    local force_y = math.sin(angle_radians) * (1 * dt)
    tank.vx = tank.vx + force_x
    tank.vy = tank.vy + force_y
  else
    tank.vx = 0
    tank.vy = 0
  end
  
  tank.x = tank.x + tank.vx
  tank.y = tank.y + tank.vy
  
  
  if love.keyboard.isDown("q") then
    tourelle.angle = tourelle.angle - 90 * dt
  end
  
  if love.keyboard.isDown("w") then
    tourelle.angle = tourelle.angle + 90 * dt
  end
  

  
  if love.keyboard.isDown("x") then
    obus.start = true 
    local force_x = math.cos(tourelle.angle) * (obus.vitesse * dt)
    local force_y = math.sin(tourelle.angle) * (obus.vitesse * dt)
    
    obus.x = obus.x + force_x
    obus.y = obus.y + force_y
  else
    obus.start = false
  end
  
  
  
end




function love.draw()
  love.graphics.draw(tank.img, tank.x, tank.y, math.rad(tank.angle), 0.3, 0.3, tank.img:getWidth()/2, tank.img:getHeight()/2)
  
  love.graphics.draw(tourelle.imgTourelle, tank.x, tank.y, math.rad(tourelle.angle + tank.angle + 90), 0.3, 0.3, 155 , 155)
  
 
  
  
end